import stanford.karel.SuperKarel;

public class A3_CollectAllOnColumn extends SuperKarel {
    public void run() {
        // идти в центр нижней горизонтали
        go();
        left();

        // собрать все кристаллы на средней вертикали
        while (frontIsClear()) {
            // собрать все криаталлы на клетке
            while (crystalsOnCell()) {
                get();
            }

            go();
        }

        // собрать все кристаллы на верхней клетке
        while (crystalsOnCell()) {
            get();
        }

        // идти в серую клетку
        right();
        go();

        // положить все кристаллы из сумки
        while (crystalsInBag())
            put();

        // идти в желтую клетку
        turnAround();
        go();
        go();
    }
}



